Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSTLWriter Class Reference

`#include <vtkSTLWriter.h>`

Inheritance diagram for vtkSTLWriter:

[legend]
Collaboration diagram for vtkSTLWriter:

[legend]
List of all members.

## Detailed Description

write stereo lithography files

Date:
  2002/08/13 17:14:29

Revision:
  1.42

vtkSTLWriter writes stereo lithography (.stl) files in either ASCII or binary form. Stereo lithography files only contain triangles. If polygons with more than 3 vertices are present, only the first 3 vertices are written. Use vtkTriangleFilter to convert polygons to triangles.

Warning:
  Binary files written on one system may not be readable on other systems. vtkSTLWriter uses VAX or PC byte ordering and swaps bytes on other systems.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (64%)
  - Lorensen, Bill (13%)
  - Martin, Ken (10%)
  - Cedilnik, Andy (7%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkSTLWriter.h)`
  - .`cxx` (`/IO/vtkSTLWriter.cxx)`

Tests:
  vtkSTLWriter (Tests)

Definition at line 53 of file vtkSTLWriter.h.

## Public Types
typedef vtkPolyDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkSTLWriter * | New ()
int | IsTypeOf (const char *type)
vtkSTLWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkSTLWriter ()
| ~vtkSTLWriter ()
void | WriteData ()
void | WriteBinarySTL (vtkPoints *pts, vtkCellArray *polys)
void | WriteAsciiSTL (vtkPoints *pts, vtkCellArray *polys)

## Member Typedef Documentation

typedef vtkPolyDataWriter vtkSTLWriter::Superclass

| Reimplemented from vtkPolyDataWriter. Definition at line 57 of file vtkSTLWriter.h.

## Constructor & Destructor Documentation

vtkSTLWriter::vtkSTLWriter | ( |  | ) | `[protected]`

vtkSTLWriter::~vtkSTLWriter | ( |  | ) | `[inline, protected]`

| Definition at line 62 of file vtkSTLWriter.h.

## Member Function Documentation

vtkSTLWriter* vtkSTLWriter::New | ( |  | ) | `[static]`

| Created object with default header, ASCII format, and default names for scalars, vectors, tensors, normals, and texture coordinates. Reimplemented from vtkPolyDataWriter.

virtual const char* vtkSTLWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataWriter.

int vtkSTLWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataWriter.

virtual int vtkSTLWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataWriter.

vtkSTLWriter* vtkSTLWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataWriter.

virtual void vtkSTLWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataWriter.

void vtkSTLWriter::WriteData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkPolyDataWriter.

void vtkSTLWriter::WriteBinarySTL | ( | vtkPoints * | pts,
|  | vtkCellArray * | polys
| ) | `[protected]`

void vtkSTLWriter::WriteAsciiSTL | ( | vtkPoints * | pts,
|  | vtkCellArray * | polys
| ) | `[protected]`

The documentation for this class was generated from the following file:

- IO/vtkSTLWriter.h